// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from smacc2_msgs:msg/SmaccContainerStatus.idl
// generated code does not contain a copyright notice

#ifndef SMACC2_MSGS__MSG__DETAIL__SMACC_CONTAINER_STATUS__STRUCT_H_
#define SMACC2_MSGS__MSG__DETAIL__SMACC_CONTAINER_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'path'
// Member 'initial_states'
// Member 'active_states'
// Member 'local_data'
// Member 'info'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/SmaccContainerStatus in the package smacc2_msgs.
typedef struct smacc2_msgs__msg__SmaccContainerStatus
{
  std_msgs__msg__Header header;
  /// The path to this node in the server
  rosidl_runtime_c__String path;
  /// The initial state description
  /// Effects an arc from the top state to each one
  rosidl_runtime_c__String__Sequence initial_states;
  /// The current state description
  rosidl_runtime_c__String__Sequence active_states;
  /// A pickled user data structure
  /// i.e. the UserData's internal dictionary
  rosidl_runtime_c__String local_data;
  /// Debugging info string
  rosidl_runtime_c__String info;
} smacc2_msgs__msg__SmaccContainerStatus;

// Struct for a sequence of smacc2_msgs__msg__SmaccContainerStatus.
typedef struct smacc2_msgs__msg__SmaccContainerStatus__Sequence
{
  smacc2_msgs__msg__SmaccContainerStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} smacc2_msgs__msg__SmaccContainerStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // SMACC2_MSGS__MSG__DETAIL__SMACC_CONTAINER_STATUS__STRUCT_H_
