// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from smacc2_msgs:msg/SmaccStatus.idl
// generated code does not contain a copyright notice

#ifndef SMACC2_MSGS__MSG__DETAIL__SMACC_STATUS__STRUCT_H_
#define SMACC2_MSGS__MSG__DETAIL__SMACC_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'current_states'
// Member 'global_variable_names'
// Member 'global_variable_values'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/SmaccStatus in the package smacc2_msgs.
typedef struct smacc2_msgs__msg__SmaccStatus
{
  std_msgs__msg__Header header;
  /// returns the list of current states (the complete hierarchy)
  /// from ancestor active states to descendents active states), ie: [Superstate1, State3]
  rosidl_runtime_c__String__Sequence current_states;
  rosidl_runtime_c__String__Sequence global_variable_names;
  rosidl_runtime_c__String__Sequence global_variable_values;
} smacc2_msgs__msg__SmaccStatus;

// Struct for a sequence of smacc2_msgs__msg__SmaccStatus.
typedef struct smacc2_msgs__msg__SmaccStatus__Sequence
{
  smacc2_msgs__msg__SmaccStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} smacc2_msgs__msg__SmaccStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // SMACC2_MSGS__MSG__DETAIL__SMACC_STATUS__STRUCT_H_
